mesh_dic = {'orca025': \
    , \
            'orca025_ext': \
    , \
            'orca025_ext_ocn_grid_T': \
    , \
            'orca025_ext_nohalo': \
    , \
            'eorca1': \
    }
# Locations of mesh files for the various different grids

def mesh_file(gridname):
    return mesh_dic[gridname]
   
def area_weights_2D(gridname):
    import netCDF4 as nc4
    ffile = mesh_dic[gridname]
    ncid = nc4.Dataset(ffile)
    aw = ncid.variables['e1t'][:] * ncid.variables['e2t'][:]
    if len(aw.shape) == 3:
        if 'ocn_grid' in gridname:
            aw = aw[0,:,:]
        else:
            aw = aw[0,1:-1,1:-1]

    if 'nohalo' in gridname:
        aw = aw[:,:-1]

    return aw
